Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# SetRWLS

## Name

SetRWLS -- put devices into remote with lockout state

## Synopsis

    #include <gpib/ib.h>

``void SetRWLS`(int board_desc, const Addr4882_t addressList[]);`

## Description

SetRWLS() asserts the 'remote enable' bus line, addresses the devices in the `addressList` array as listeners, then sends the LLO command byte. The devices addressed as listener will be put into RWLS (remote with lockout state), and all other devices will enter LWLS (local with lockout state). Local lockout means the remote/local mode of devices cannot be changed though the devices' front-panel controls. Unasserting the REN line should bring the devices out of the lockout state.

Prev | Home | Next
SendSetup | Up | TestSRQ